"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/taggedTemplateLiteral"));

var _graphqlTag = _interopRequireDefault(require("graphql-tag"));

function _templateObject() {
  var data = (0, _taggedTemplateLiteral2["default"])(["\n  fragment DiscountApplicationFragment on DiscountApplication {\n    targetSelection\n    allocationMethod\n    targetType\n    value {\n      ... on MoneyV2 {\n        amount\n        currencyCode\n      }\n      ... on PricingPercentageValue {\n        percentage\n      }\n    }\n    ... on ManualDiscountApplication {\n      title\n      description\n    }\n    ... on DiscountCodeApplication {\n      code\n      applicable\n    }\n    ... on ScriptDiscountApplication {\n      description\n    }\n    ... on AutomaticDiscountApplication {\n      title\n    }\n  }\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

var DISCOUNT_APPLICATION_FRAGMENT = (0, _graphqlTag["default"])(_templateObject());
var _default = DISCOUNT_APPLICATION_FRAGMENT;
exports["default"] = _default;