"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/taggedTemplateLiteral"));

var _graphqlTag = _interopRequireDefault(require("graphql-tag"));

function _templateObject() {
  var data = (0, _taggedTemplateLiteral2["default"])(["\n  fragment VariantFragment on ProductVariant {\n    id\n    title\n    price\n    priceV2 {\n      amount\n      currencyCode\n    }\n    presentmentPrices(first: 20) {\n      pageInfo {\n        hasNextPage\n        hasPreviousPage\n      }\n      edges {\n        node {\n          price {\n            amount\n            currencyCode\n          }\n        }\n      }\n    }\n    weight\n    available: availableForSale\n    sku\n    compareAtPrice\n    compareAtPriceV2 {\n      amount\n      currencyCode\n    }\n    image {\n      id\n      src: originalSrc\n      altText\n    }\n    selectedOptions {\n      name\n      value\n    }\n  }\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

var VARIANT_FRAGMENT = (0, _graphqlTag["default"])(_templateObject());
var _default = VARIANT_FRAGMENT;
exports["default"] = _default;