"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CUSTOMER = void 0;

var _taggedTemplateLiteral2 = _interopRequireDefault(require("@babel/runtime/helpers/taggedTemplateLiteral"));

var _graphqlTag = _interopRequireDefault(require("graphql-tag"));

function _templateObject() {
  var data = (0, _taggedTemplateLiteral2["default"])(["\n  query customer($customerAccessToken: String!) {\n    customer(customerAccessToken: $customerAccessToken) {\n      id\n      acceptsMarketing\n      firstName\n      lastName\n      email\n      defaultAddress {\n        id\n      }\n      addresses(first: 10) {\n        edges {\n          node {\n            id\n            address1\n            city\n            company\n            country\n            countryCodeV2\n            firstName\n            lastName\n            phone\n            province\n            zip\n          }\n        }\n      }\n    }\n  }\n"]);

  _templateObject = function _templateObject() {
    return data;
  };

  return data;
}

var CUSTOMER = (0, _graphqlTag["default"])(_templateObject());
exports.CUSTOMER = CUSTOMER;