"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isBrowser = exports.savedCheckoutExists = exports.isNullValue = void 0;

var _store = _interopRequireDefault(require("store/dist/store.modern"));

var isNullValue = function isNullValue(value) {
  return value === undefined || value === null || value === "null";
};

exports.isNullValue = isNullValue;

var savedCheckoutExists = function savedCheckoutExists() {
  return !isNullValue(_store["default"].get("next:checkout_id"));
};

exports.savedCheckoutExists = savedCheckoutExists;

var isBrowser = function isBrowser() {
  return typeof window !== "undefined";
};

exports.isBrowser = isBrowser;